import React, { useState, useEffect } from 'react'
import {useSelector} from 'react-redux';

export default function SubmitOrder(props) {

    const {currentUser} = useSelector(state => state);
    
    let handleSubmitClick = () => {
        console.log("Submit Button Clicked")

        props.setSubmitButtonActive(1)
    }
    
    
    return (
        <div className="order-component" id="SubmitOrder">

            <div className="OrderDirectionsElement" id="SubmitLabel">
                <p>Step 4 - Checkout</p>
            </div>

            <div id="SubmitButtonContainer">                
                <p className="errorMessage">{(props.errorWhileValidating === 1 && props.allFieldsValidated === 0)? 'One or more fields is missing a value' : ''}</p>
                <button 
                id="SubmitButtonInput" 
                onClick={() => {handleSubmitClick()}}
                disabled={currentUser ? false : true} >Submit Order</button>
            </div>

        </div>
    )
}
