import { combineReducers } from 'redux';
import productsReducer from './products_reducer';
import orderReducer from './order_reducer'
import userReducer from './user_reducer'
import cartReducer from './cart_reducer';
import cartProcessingReducer from './cart_processing_reducer'


const rootReducer = combineReducers({
    market: productsReducer,
    user: userReducer,
    cart: cartReducer,
    orderStatus: orderReducer,
    cartProcessing: cartProcessingReducer
});

export default rootReducer;