import axios from 'axios';

export const fetchUserCart = userEmail => {
    return axios.get(`http://localhost:8080/api/carts/${userEmail}`)
}

export const createCart = newCart => {
    return axios.post(`http://localhost:8080/api/carts`, newCart)
}

export const updateCart = (updatedCart, userEmail) => {
    return axios.put(`http://localhost:8080/api/carts/${userEmail}`, updatedCart)
}
