import axios from 'axios';
import Config from '../config';

export const fetchProducts = () => {
    return axios.get(`${Config.baseApiUrl}/api/products`)
}

export const fetchPromotions = () => {
    return axios.get(`${Config.baseApiUrl}/api/promos`)
}

export const fetchProductsAndPromotions = () => {
    return axios.get(`${Config.baseApiUrl}/api/products-and-promos`)
}

export const fetchProductBySku = (sku) => {
    return axios.get(`${Config.baseApiUrl}/api/products/${sku}`)
}